## org.hibernate.cache.infinispan.impl
Class ClassLoaderAwareCache.ClassLoaderAwareListener

    java.lang.Object
      org.hibernate.cache.infinispan.impl.ClassLoaderAwareCache.ClassLoaderAwareListener

Enclosing class:
  ClassLoaderAwareCache<K,V>

    public static class ClassLoaderAwareCache.ClassLoaderAwareListener

extends Object

Constructor Summary
`ClassLoaderAwareCache.ClassLoaderAwareListener(Object listener, ClassLoaderAwareCache cache)`

Method Summary
`boolean` `equals(Object object)`
`void` `event(org.infinispan.notifications.cachelistener.event.Event event)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderAwareCache.ClassLoaderAwareListener

    public ClassLoaderAwareCache.ClassLoaderAwareListener(Object listener,
                                                          ClassLoaderAwareCache cache)

Method Detail

### event

    public void event(org.infinispan.notifications.cachelistener.event.Event event)
               throws Throwable

  Throws:
    `Throwable`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.